```@meta
CurrentModule = Bigleaf
```

# Bigleaf
Documentation for [Bigleaf](https://github.com/bgctw/Bigleaf.jl).

```@contents
Pages = ["index.md",]
```
## Meteorological variables
```@index
Pages = ["metorological_variables.md",]
```

## Stability correction
```@index
Pages = ["stability_correction.md",]
```

## Surface roughness
```@index
Pages = ["surface_roughness.md",]
```

## Boundary Layer Conductance
```@index
Pages = ["boundary_layer_conductance.md",]
```

## Aerodynamic Conductance
```@index
Pages = ["aerodynamic_conductance.md",]
```

## Evapotranspiration
```@index
Pages = ["evapotranspiration.md",]
```


## Global radiation
```@index
Pages = ["global_radiation.md",]
```

## Unit conversions
```@index
Pages = ["unit_conversions.md","bigleaf_constants.md",]
```

## Filtering data
```@index
Pages = ["filter_data.md",]
```


